Bug 1149716 - Pulp should reject or replace Puppet Modules with identical metadata.
Summary: Pulp should reject or replace Puppet Modules with identical metadata.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: puppet-support
Version: 2.4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-06 14:07 UTC by Roy Williams
Modified: 2015-02-28 22:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-28 22:38:22 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 566 0 None None None Never

Description Roy Williams 2014-10-06 14:07:01 UTC
Description of problem:
Pulp should reject or replace Puppet Modules with identical metadata.

Version-Release number of selected component (if applicable):
2.4.0-1.el6

How reproducible:
Highly

Steps to Reproduce:
1. Create Puppet Module
2. Upload Puppet Module
2. Modify some files without updating version metadata
3. Upload Puppet Module again.

Actual results:
Seemingly no change until version is bumped to avoid the duplicate metadata.

Expected results:
Reject puppet module or replace the existing version within a given repository


Additional info:
Katello 2.0 installation with Pulp integrated.

Comment 1 Michael Hrivnak 2014-10-10 19:40:18 UTC
We will make the user feedback better in this case. However, pulp expects that puppet modules will follow semantic versioning, as is strongly recommended by Puppet Labs.

https://docs.puppetlabs.com/puppet/latest/reference/modules_publishing.html#a-note-on-semantic-versioning

So you should not expect the content in pulp to change unless you increment the version.

Comment 2 Brian Bouterse 2015-02-28 22:38:22 UTC
Moved to https://pulp.plan.io/issues/566


Note You need to log in before you can comment on or make changes to this bug.